import type { JSX } from '../../stencil-public-runtime';
import type { AccessKeyPropType, AlternativeButtonLinkRolePropType, AriaCurrentValuePropType, AriaDescriptionPropType, AriaExpandedPropType, AriaOwnsPropType, CustomClassPropType, DisabledPropType, DownloadPropType, FocusableElement, HideLabelPropType, HrefPropType, InlinePropType, InternalLinkAPI, KolFocusOptions, KoliBriIconsProp, LabelWithExpertSlotPropType, LinkOnCallbacksPropType, LinkStates, LinkTargetPropType, ShortKeyPropType, Stringified, TooltipAlignPropType, VariantClassNamePropType } from '../../schema';
export declare class KolLinkWc implements InternalLinkAPI, FocusableElement {
    private readonly host?;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLAnchorElement>;
    private readonly tooltipCtrl;
    private unsubscribeOnLocationChange?;
    private readonly translateOpenLinkInTab;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private readonly onClick;
    private readonly getRenderValues;
    render(): JSX.Element;
    _accessKey?: AccessKeyPropType;
    _ariaCurrentValue?: AriaCurrentValuePropType;
    _ariaControls?: string;
    _ariaDescription?: AriaDescriptionPropType;
    _ariaExpanded?: boolean;
    _ariaOwns?: AriaOwnsPropType;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _download?: DownloadPropType;
    _hideLabel?: boolean;
    _href: HrefPropType;
    _icons?: Stringified<KoliBriIconsProp>;
    _inline?: InlinePropType;
    _label?: LabelWithExpertSlotPropType;
    _on?: LinkOnCallbacksPropType;
    _role?: AlternativeButtonLinkRolePropType;
    _shortKey?: ShortKeyPropType;
    _tabIndex?: number;
    _target?: LinkTargetPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _variant?: VariantClassNamePropType;
    state: LinkStates;
    validateAccessKey(value?: AccessKeyPropType): void;
    validateAriaCurrentValue(value?: AriaCurrentValuePropType): void;
    validateAriaControls(value?: string): void;
    validateAriaDescription(value?: AriaDescriptionPropType): void;
    validateAriaExpanded(value?: AriaExpandedPropType): void;
    validateAriaOwns(value?: AriaOwnsPropType): void;
    validateCustomClass(value?: CustomClassPropType): void;
    validateDisabled(value?: DisabledPropType): void;
    validateDownload(value?: DownloadPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHref(value?: string): void;
    validateIcons(value?: KoliBriIconsProp): void;
    validateInline(value?: InlinePropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateOn(value?: LinkOnCallbacksPropType): void;
    validateRole(value?: AlternativeButtonLinkRolePropType): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateTabIndex(value?: number): void;
    validateTarget(value?: LinkTargetPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateVariantClassName(value?: VariantClassNamePropType): void;
    componentWillLoad(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
}
